Bug 1273964 - Manage OTP Tokens
Manage OTP Tokens
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: IPA Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 11:23 EDT by Branden
Modified: 2016-07-19 14:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:17:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branden 2015-10-21 11:23:33 EDT
Description of problem:

Our facility operates 24/7, and the select few users with admin privileges are not available on all shifts.
I need a way for supervisors to have the permissions for create/add/delete OTP tokens. In the event a user gets a new phone or loses a token the supervisors on each shift need to be able to assist their users with making access possible. 

I would like to be able to assign the privilege of OTP token create/add/delete within the role based access control system similarly to how the unlock and reset password privileges can be assigned to a user group.


Version-Release number of selected component (if applicable):
FreeIPA, version: 4.1.4

How reproducible:
Variable based on scheduling and users needs but fairly frequently with 460+ employees and very few admin privileged users.

Steps to Reproduce:
1. In the interface go to Role Based Access Control > Permissions
2. Look for an option to add/modify/remove OTP tokens
3. Click Add
4. Set the type to either "Entry" or "OTP Configuration" or "User"
5. Select any attributes related to OTP tokens
 (I could not find any specific attributes that I would expect to allow here so I just went with add everything to see if it would even work)
6. Set granted rights to All
7. Assign new permission to a privilege and role
8. Attempt to use role on user/user group and create an OTP token for a different user.

Actual results:
No permission exists that I can find or create for managing OTP tokens on other users.

Expected results:
Ability to find a permission or create one that allows for a user to manage other users OTP tokens.

Additional info:
My understanding based on what information I could find searching for answers is that OTP token management is hard coded to the admin group, and individual users can manage their tokens only.
Comment 1 Petr Vobornik 2015-10-21 12:15:23 EDT
It is possible to set/remove a manager for OTP token using:
  ipa otptoken-add-managedby TOKEN_ID --users=<MANAGER>
  ipa otptoken-remove-managedby TOKEN_ID --users=<MANAGER>

In 4.1 it is exposed only in CLI, in 4.2 also in Web UI.

Is it sufficient for your use case?
Comment 2 Alexander Bokovoy 2015-10-21 12:34:44 EDT
It only allows to add specific user, not a group.
Comment 3 Alexander Bokovoy 2015-10-21 12:35:33 EDT
I mean, ability to add a group is crucial for being able to assign roles.
Comment 4 Branden 2015-10-21 15:22:03 EDT
In my case, having the ability to set the managedby to a group for OTP adding and removing is paramount. People switch roles within the company and their privilege levels change based upon what groups they are assigned to(ie supervisors, support, operations, security, ect.). Doing this via command line is not an issue to set the privilege on the groups rather than Web UI but I definitely need a user group for the privilege to be able to apply to instead of individuals.
Comment 5 Petr Vobornik 2015-10-22 03:33:20 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5390
Comment 6 Fedora End Of Life 2016-07-19 14:17:40 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.